commit: a9f9525371fafef3b8ea7a93931b379cbd12e64f
Author: Vladimir Kuznetsov <fulade <AT> riseup <DOT> net>
AuthorDate: Fri May 7 12:43:44 2021 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri May 7 12:50:14 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9f95253
net-irc/ii: bump eapi to 7 & flesh out ebuilds
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Vladimir Kuznetsov <fulade <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
net-irc/ii/ii-1.8.ebuild | 21 ++++++++-------------
net-irc/ii/ii-9999.ebuild | 22 ++++++++--------------
2 files changed, 16 insertions(+), 27 deletions(-)
diff --git a/net-irc/ii/ii-1.8.ebuild b/net-irc/ii/ii-1.8.ebuild
index 2bb1b227445..5ef9e5bdca9 100644
--- a/net-irc/ii/ii-1.8.ebuild
+++ b/net-irc/ii/ii-1.8.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit toolchain-funcs
DESCRIPTION="A minimalist FIFO and filesystem-based IRC client"
@@ -15,14 +15,7 @@ KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux"
src_prepare() {
default
- sed -i \
- -e '/^CFLAGS/{s: -Os::g; s:= :+= :g}' \
- -e '/^CC/d' \
- -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' \
- config.mk || die
- sed -i \
- -e 's|@${CC}|$(CC)|g' \
- Makefile || die
+ sed -i -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' config.mk || die
}
src_compile() {
@@ -30,7 +23,9 @@ src_compile() {
}
src_install() {
- dobin ii
- dodoc CHANGES FAQ README
- doman *.1
+ emake \
+ DESTDIR="${D}" \
+ PREFIX="${EPREFIX}"/usr \
+ DOCDIR="${EPREFIX}"/usr/share/doc/${PF} \
+ install
}
diff --git a/net-irc/ii/ii-9999.ebuild b/net-irc/ii/ii-9999.ebuild
index 0cb5a9d7e15..4ba2eac0c28 100644
--- a/net-irc/ii/ii-9999.ebuild
+++ b/net-irc/ii/ii-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit git-r3 toolchain-funcs
DESCRIPTION="A minimalist FIFO and filesystem-based IRC client"
@@ -10,19 +10,11 @@ EGIT_REPO_URI="https://git.suckless.org/ii"
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
src_prepare() {
default
- sed -i \
- -e '/^CFLAGS/{s: -Os::g; s:= :+= :g}' \
- -e '/^CC/d' \
- -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' \
- config.mk || die
- sed -i \
- -e 's|@${CC}|$(CC)|g' \
- Makefile || die
+ sed -i -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' config.mk || die
}
src_compile() {
@@ -30,7 +22,9 @@ src_compile() {
}
src_install() {
- dobin ii
- dodoc CHANGES FAQ README
- doman *.1
+ emake \
+ DESTDIR="${D}" \
+ PREFIX="${EPREFIX}"/usr \
+ DOCPREFIX="${EPREFIX}"/usr/share/doc/${PF} \
+ install
}